API Reference
Batch-fetch tag assignments for many prompts (data-table read path)
POST
header
X-API-Key<token>API Key for programmatic access
domainId*stringPublic UUID of the domain whose tag library is addressed
application/json- body
promptIds*array<string>UUIDs of the prompts whose tag assignments to return (1-200)
Assignments keyed by prompt UUID; prompts with no tags are omitted
application/json- response
[key: string]?array<>curl -X POST 'https://api.getmint.ai/api/domains/3fa85f64-5717-4562-b3fc-2c963f66afa6/tags/assignments-by-prompts' \ -H 'Content-Type: application/json' \ -d '{ "promptIds": [ "3fa85f64-5717-4562-b3fc-2c963f66afa6" ]}'{ "property1": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "organizationId": "7c9e6679-7425-40de-944b-e07fc1f90ae7", "domainId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d", "name": "retail", "createdAt": "2026-05-25T10:30:00.000Z", "updatedAt": "2026-05-25T10:30:00.000Z" } ], "property2": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "organizationId": "7c9e6679-7425-40de-944b-e07fc1f90ae7", "domainId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d", "name": "retail", "createdAt": "2026-05-25T10:30:00.000Z", "updatedAt": "2026-05-25T10:30:00.000Z" } ]}